/******************************************************************************
   BDBAbstractTEST
   BDB
 
  @copyright 2004, 2005, 2006 Free Software Foundation, Inc.
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301 USA


  -------------------------------------------------------------------------
  Modification history

  27.12.2005 ola     initial version
  -------------------------------------------------------------------------
******************************************************************************/


#if !defined(__BDBABSTRACTBTREETEST_H)
#define __BDBABSTRACTBTREETEST_H

#include <Foundation/Foundation.h>
#include <Encore/Encore.h>
#include <BDBTests.h>
#include <BDB/BDBDatabase.h>
#include <BDB/BDBConfig.h>


@interface BDBAbstractBTreeTEST : BDBTests {
@protected 
  BDBDatabase *database;
}

+ deleteDatabase;

// setup test specific settings here
// by default it is setup as follows: allowCreate(YES),
//  setAllocSortedDuplicates(YES), type: BTREE
- testSpecificConfigurables: (BDBDatabaseConfig *) config;

- setup;
- (void) cleanup;
@end

#endif
